@import "@/assets/styles/abstracts/mixins";

.reports{
    @include flex-container(center,center,column);
    margin-bottom: 5.6rem
}
.reports-details{
    @include flex-container(space-between,center,row);
    width: 100%;
    margin-bottom : 1.6rem ;
}

.reports-title{
   font-size: 1.8rem;
   font-weight: 700;
  
}
.reports-filtering{
    @include flex-container(center,center,row)
}

.reports-filtering__item{
    font-size: 1.4rem;
    margin: 0 .8rem;
    background-color: white;
    padding: .4rem 8px;
    border-radius: 1.2rem;
    box-shadow :$shadow;
    
  
 }
 .items{
    @include flex-container(space-between,center,row);
    
    flex-wrap: wrap;
    width: 100%;
 }
 .report-item{
   
    background-color: white;
    border-radius: 2.4rem;
    height: 20rem;
    @include flex-container(center,center,column);
    box-shadow: $shadow;
    flex: 0 0 auto; 
    margin-right: 2rem;  

 }


 

.report-item:nth-child(1) {
    flex: 1 0 0 ;
    margin-right: 0;
    
  }

  .report-item:nth-child(2) {
    flex: 1.71 0 0 ;
    
  }

  .report-item:nth-child(3) {
   
    flex: 1.35 0 0;

  }
  
 



 @include respond-to  (medium-desktop) {
    .reports-title{
        font-size: 1.35rem;
    }
    .reports-filtering__item{
        font-size: 1rem;
        margin: 0 .6rem;
     
        padding: .3rem .6rem;
        border-radius: .9rem;
      
      
     }
     .report-item{
        
       
        border-radius: 1.6rem;
        height: 15rem;
       
        margin-right: 1.5rem;  
    
     }
     .reports{
        margin-bottom: 4.2rem;
     }
    
 }

 @include respond-to(mobile){
   .report-item{
      height: 14.8rem
   }
   .items{
      @include flex-container(space-between,center,row);
      flex-wrap: wrap;
   
      width: 100%;
   }
   .report-item:nth-child(1) {
      flex:  0 0 calc(40% - .5rem) ;
     
      margin-right: 0;
      
    }
  
    .report-item:nth-child(2) {
    
      flex: 0 0 calc(60% - .5rem) ;
      margin-right: 1rem;
      
    }
  
    .report-item:nth-child(3) {
    margin: 1rem 0 0 0;
      flex: 0 1 100%;
      
  
    }
    
   .reports-title{
      display: none;
   }
   .reports-details{
    
      @include flex-container(center,center,column)
   }
   .reports-filtering{
      @include flex-container(space-evenly,center,row);
      background-color: white;
      box-shadow: $shadow;
      padding: .5rem 0 ;
      width: 100%;
      border-radius: 2rem;
      overflow: hidden;
   }
   .reports-filtering__item{
      font-size: 1rem;
      margin: 0 1rem;
   
      padding: .4rem 3rem;
      border-left: 1px solid #dfdfdf !important;
     border: none;
     margin: none;
     border-radius: 0;
     background-color: inherit;
     box-shadow: none;
    
    
   }
   .reports-filtering__item:last-child{
      border: none !important;
   }
 }

 